Bug 173573 - Xen hangs on boot in Virtual PC 2004
Xen hangs on boot in Virtual PC 2004
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-18 02:04 EST by Gene
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 13:37:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene 2005-11-18 02:04:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 2.0.50727)

Description of problem:
I installed Xen per http://www.fedoraproject.org/wiki/FedoraXenQuickstart 
Upon rebooting to the Xen kernel I get this:

(Xen) System RAM: 512MB (523836kB)
(Xen) Xen heap:10MB (10652kB)
(Xen) PAE disabled.
(Xen) Unknown interrupt

At this point it just hangs.  To recover must reset machine.

Version-Release number of selected component (if applicable):
xen 3.0 devel

How reproducible:
Always

Steps to Reproduce:
1.Boot to Xen kernel

Actual Results:  Same as in Description

Expected Results:  Xen should boot for the first time.

Additional info:

I am running FC4 in Virtual PC 2004 on a Windows XP Pro SP2 machine.  I can boot to the regular FC4 kernel with KDE fine, just not able to boot to Xen.
Comment 1 Itamar Reis Peixoto 2005-11-20 13:16:59 EST
I have tested and the same problem on my machine.

I am using on the host

Windows XP Pro SP2
virtual pc 2004

on the guest 
Fedora 4 with

2.6.12-1.1456_FC4xen0
xen-3.0-0.20050912.fc4
Comment 2 Stephen Tweedie 2006-01-18 13:37:17 EST
Xen does a lot of things that a normal kernel does not.  VirtualPC may simply
not be supporting the x86 architecture features that Xen relies on.  It sounds
more likely to be a VirtualPC problem than a Xen problem; and certainly
something that we really cannot debug ourselves.

Note You need to log in before you can comment on or make changes to this bug.